<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <style>
        .paisaje {
            width: 100%;
            height: 100%;
            background-color: rgb(48, 172, 48);
            margin: 0 auto;
            position: absolute;
        }

        .f1 {
            width: 200px;
            height: 50px;
            /* background-image:url(coche.png); */
            /* background-size: cover; */
            position: absolute;
            top: 30%;
            left: 100px;
            z-index: 2;
        }

        .road {
            width: 100%;
            height: 400px;
            background-color: gray;
            margin: 0 auto;
            position: absolute;
            top: 30%;
        }

        .road:before {
            content: "";
            position: absolute;
            width: 0;
            height: 0;
            border-left: 20px solid transparent;
            border-right: 20px solid transparent;
            border-bottom: 30px solid rgb(0, 0, 0);
            left: 0;
            bottom: -30px;
        }

        .road:after {
            content: "";
            position: absolute;
            width: 0;
            height: 0;
            border-left: 20px solid transparent;
            border-right: 20px solid transparent;
            border-top: 30px solid rgb(0, 0, 0);
            left: 0;
            top: -30px;
        }

        .line {
            position: absolute;
            width: 15%;
            height: 15px;
            background-color: rgb(255, 255, 255);
            top: 50%;
            transform: translateY(-50%);
            z-index: 1;
        }

        .line:nth-child(1) {
            left: 1%;
        }

        .line:nth-child(2) {
            left: 22%;
        }

        .line:nth-child(3) {
            left: 43%;
        }

        .line:nth-child(4) {
            left: 64%;
        }

        .line:nth-child(5) {
            left: 85%;
        }

        .truck {
            position: absolute;
            top: 0;
            left: 110%;
            width: 100px;
            height: 70px;
            background-color: blue;
            z-index: 2;
            border-top-left-radius:100% ;
            animation: moveTruck 1s linear 2 ;
        }

        @keyframes moveTruck {
            from {
                left: 1800px;
            }

            to {
                left: 0px;
            }
        }
    </style>
    <title>brum brum</title>
</head>

<body>
    <div class="paisaje"></div>
    <div class="road">
        <!-- Divs que representan las líneas de la carretera -->
        <div class="line"></div>
        <div class="line"></div>
        <div class="line"></div>
        <div class="line"></div>
        <div class="line"></div>
    </div>
    <div id="f1" class="f1"><img src="brum-removebg-preview.png" alt="" width="200px"></div>
    <script>
        const coche = document.getElementById('f1');
        const road = document.querySelector('.road');
        const roadTop = road.offsetTop;
        const roadBottom = roadTop + road.offsetHeight - coche.offsetHeight - 50;

        document.addEventListener('mousemove', (event) => {
            const y = event.clientY;
            const top = y - 50;
            if (top >= roadTop && top <= roadBottom) {
                f1.style.top = top + 'px';
            }
        });
        setInterval(() => {
            const truck = document.createElement('div');
            truck.classList.add('truck');
            truck.style.top = Math.floor(Math.random() * road.offsetHeight) + 'px';
            road.appendChild(truck);
        }, 1000);
    </script>

</body>

</html>